Bug 311722 - Kontact crashed upon launch
Summary: Kontact crashed upon launch
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-15 09:39 UTC by Christopher Yeleighton
Modified: 2012-12-23 16:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2012-12-15 09:39:01 UTC
Application: kontact (4.8.5)
KDE Platform Version: 4.9.00 (Compiled from sources)
Qt Version: 4.8.1
Operating System: Linux 3.4.11-2.16-desktop x86_64
Distribution: "openSUSE 12.2 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

I opened my desktop.  Kontact started automatically and crashed.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fee0c3de780 (LWP 5664))]

Thread 3 (Thread 0x7fedf3b28700 (LWP 5687)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fee08c0f177 in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7fee095b9200 <WTF::pageheap_memory>) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:2495
#2  0x00007fee08c0f1a9 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:1618
#3  0x00007fee0387ce0e in start_thread (arg=0x7fedf3b28700) at pthread_create.c:305
#4  0x00007fee099162cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fedf320f700 (LWP 5701)):
#0  0x00007fee0387fd9f in __pthread_mutex_unlock_usercnt (mutex=0x7fedec000a60, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  0x00007fee0330d4a1 in g_mutex_unlock (mutex=mutex@entry=0x7fedec0009a0) at gthread-posix.c:227
#2  0x00007fee032d1679 in g_main_context_poll (n_fds=1, fds=0x7fedec0029c0, timeout=5826, context=0x7fedec0009a0, priority=<optimized out>) at gmain.c:3439
#3  g_main_context_iterate (context=context@entry=0x7fedec0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3141
#4  0x00007fee032d17a4 in g_main_context_iteration (context=0x7fedec0009a0, may_block=1) at gmain.c:3207
#5  0x00007fee0a088956 in QEventDispatcherGlib::processEvents (this=0x7fedec0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fee0a05973f in QEventLoop::processEvents (this=this@entry=0x7fedf320ee20, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fee0a0599c8 in QEventLoop::exec (this=0x7fedf320ee20, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fee09f5de40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007fee09f60ddb in QThreadPrivate::start (arg=0x26dd5e0) at thread/qthread_unix.cpp:298
#10 0x00007fee0387ce0e in start_thread (arg=0x7fedf320f700) at pthread_create.c:305
#11 0x00007fee099162cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fee0c3de780 (LWP 5664)):
[KCrash Handler]
#6  data (this=0x8) at ../../src/corelib/tools/qscopedpointer.h:135
#7  qGetPtrHelper<QScopedPointer<QObjectData> > (p=...) at ../../src/corelib/global/qglobal.h:2429
#8  d_func (this=0x0) at ../../src/gui/kernel/qwidget.h:150
#9  QWidget::setLayoutDirection (this=0x0, direction=Qt::RightToLeft) at kernel/qwidget.cpp:5014
#10 0x00007fee0c00a235 in Kontact::MainWindow::initGUI (this=this@entry=0x26d0160) at /usr/src/debug/kdepim-4.8.5/kontact/src/mainwindow.cpp:183
#11 0x00007fee0c00f5d2 in Kontact::MainWindow::MainWindow (this=0x26d0160, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /usr/src/debug/kdepim-4.8.5/kontact/src/mainwindow.cpp:152
#12 0x0000000000403b15 in main (argc=3, argv=0x7fff1f8dc538) at /usr/src/debug/kdepim-4.8.5/kontact/src/main.cpp:210

Reported using DrKonqi
Comment 1 Christoph Feck 2012-12-20 22:14:44 UTC
Could you check "kontactui.rc" file, looks like you removed the "navigatorToolBar" in there.
Comment 2 Christopher Yeleighton 2012-12-21 20:43:14 UTC
The file "kontactui.rc" was under /usr/share and kontact was under /usr/bin.
KDE was under /usr/local.
So, while nothing happened to the file "kontactui.rc", KDE was unable to find it.
Comment 3 Allen Winter 2012-12-23 16:26:38 UTC
Git commit 788bb67808c873d460ac47a79c7144f7eb3bd9e5 by Allen Winter.
Committed on 23/12/2012 at 17:24.
Pushed by winterz into branch 'KDE/4.9'.

don't crash if the navigatorToolBar can't be found in the kontactui.rc
(probably because kontactui.rc can't be located.)
instead, print a kError() and just continue without a toolbar.
FIXED-IN: 4.9.5
MERGE: 4.10, master

M  +9    -6    kontact/src/mainwindow.cpp

http://commits.kde.org/kdepim/788bb67808c873d460ac47a79c7144f7eb3bd9e5